package com.bootdo.system.domain;

import java.io.Serializable;
import java.util.Date;



/**
 * 
 * 
 * @author chglee
 * @email 1992lcg@163.com
 * @date 2021-06-08 15:25:01
 */
public class SearchDO implements Serializable {
	private static final long serialVersionUID = 1L;
	
	//序号
	private Long id;
	//设备名称
	private String deviceName;
	//设备mac
	private String deviceMac;
	//序列号
	private String deviceSn;
	//探测时间
	private Date regtime;
	//探测结果
	private String result;
	//唯一标识（原始值）
	private String loadUniqe;
	//唯一标识（new）
	private String newUniqe;

	/**
	 * 设置：序号
	 */
	public void setId(Long id) {
		this.id = id;
	}
	/**
	 * 获取：序号
	 */
	public Long getId() {
		return id;
	}
	/**
	 * 设置：设备名称
	 */
	public void setDeviceName(String deviceName) {
		this.deviceName = deviceName;
	}
	/**
	 * 获取：设备名称
	 */
	public String getDeviceName() {
		return deviceName;
	}
	/**
	 * 设置：设备mac
	 */
	public void setDeviceMac(String deviceMac) {
		this.deviceMac = deviceMac;
	}
	/**
	 * 获取：设备mac
	 */
	public String getDeviceMac() {
		return deviceMac;
	}
	/**
	 * 设置：序列号
	 */
	public void setDeviceSn(String deviceSn) {
		this.deviceSn = deviceSn;
	}
	/**
	 * 获取：序列号
	 */
	public String getDeviceSn() {
		return deviceSn;
	}
	/**
	 * 设置：探测时间
	 */
	public void setRegtime(Date regtime) {
		this.regtime = regtime;
	}
	/**
	 * 获取：探测时间
	 */
	public Date getRegtime() {
		return regtime;
	}
	/**
	 * 设置：探测结果
	 */
	public void setResult(String result) {
		this.result = result;
	}
	/**
	 * 获取：探测结果
	 */
	public String getResult() {
		return result;
	}
	/**
	 * 设置：唯一标识（原始值）
	 */
	public void setLoadUniqe(String loadUniqe) {
		this.loadUniqe = loadUniqe;
	}
	/**
	 * 获取：唯一标识（原始值）
	 */
	public String getLoadUniqe() {
		return loadUniqe;
	}
	/**
	 * 设置：唯一标识（new）
	 */
	public void setNewUniqe(String newUniqe) {
		this.newUniqe = newUniqe;
	}
	/**
	 * 获取：唯一标识（new）
	 */
	public String getNewUniqe() {
		return newUniqe;
	}
}
